curl --request GET \
--url https://app.synthetic.ai/api/v1/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.synthetic.ai/api/v1/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.synthetic.ai/api/v1/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.synthetic.ai/api/v1/contracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.synthetic.ai/api/v1/contracts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.synthetic.ai/api/v1/contracts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.synthetic.ai/api/v1/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"currencyCode": "USD",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"cancelsAt": "2023-11-07T05:31:56Z",
"paymentTermsDays": 0,
"lifecycleStatus": "DRAFT",
"autoIssue": true,
"processingInvoices": true,
"processingInvoicesStartedAt": "<string>",
"autoRenew": true,
"notes": "<string>",
"autoRenewalAt": "2023-11-07T05:31:56Z",
"renewalNoticeDays": 0,
"renewingContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"renewalContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentAmendmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentAmendmentStatus": "DRAFT",
"currentAmendmentStartAt": "2023-11-07T05:31:56Z",
"draftAmendmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"futureAmendment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amendmentNumber": 0,
"status": "DRAFT",
"type": "MODIFICATION",
"processingInvoices": true,
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"paymentTermsDays": 0,
"finalizedAt": "<string>",
"voidedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"subscriptionBillableCount": 0,
"oneTimeBillableCount": 0,
"contractHealth": "RENEWAL_DUE",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"hasMore": true,
"nextCursor": "<string>",
"prevCursor": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Input validation failed",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred.",
"issues": []
}List contracts
Lists contracts, oldest first. Page with limit and the cursors from the previous page; hasMore says whether more rows lie in the direction being read. Keep the same filters for the whole run. Needs a key holding contracts:read.
curl --request GET \
--url https://app.synthetic.ai/api/v1/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.synthetic.ai/api/v1/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.synthetic.ai/api/v1/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.synthetic.ai/api/v1/contracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.synthetic.ai/api/v1/contracts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.synthetic.ai/api/v1/contracts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.synthetic.ai/api/v1/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"currencyCode": "USD",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"cancelsAt": "2023-11-07T05:31:56Z",
"paymentTermsDays": 0,
"lifecycleStatus": "DRAFT",
"autoIssue": true,
"processingInvoices": true,
"processingInvoicesStartedAt": "<string>",
"autoRenew": true,
"notes": "<string>",
"autoRenewalAt": "2023-11-07T05:31:56Z",
"renewalNoticeDays": 0,
"renewingContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"renewalContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentAmendmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentAmendmentStatus": "DRAFT",
"currentAmendmentStartAt": "2023-11-07T05:31:56Z",
"draftAmendmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"futureAmendment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amendmentNumber": 0,
"status": "DRAFT",
"type": "MODIFICATION",
"processingInvoices": true,
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"paymentTermsDays": 0,
"finalizedAt": "<string>",
"voidedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"subscriptionBillableCount": 0,
"oneTimeBillableCount": 0,
"contractHealth": "RENEWAL_DUE",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"hasMore": true,
"nextCursor": "<string>",
"prevCursor": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Input validation failed",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred.",
"issues": []
}Authorizations
An API key created in Settings, sent as Authorization: Bearer <key>.
Query Parameters
Only the contracts of these customers, separated by commas.
Only contracts whose lifecycleStatus is one of these, separated by commas — for example DRAFT,ACTIVE. The statuses are DRAFT, ACTIVE, EXPIRED, CANCELLED, DELETED. Leave it out for every status but DELETED.
true for only the contracts whose processingInvoices is true; false for only the rest.
The nextCursor of the previous page, to read the page after it.
1 - 1024^[A-Za-z0-9._-]+$The prevCursor of the previous page, to read the page before it.
1 - 1024^[A-Za-z0-9._-]+$Rows per page, 1 to 100.
1 <= x <= 100